invalid license only in leap 42.3

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

invalid license only in leap 42.3

Sebastian-2
Dear list,

I need some help for the package hollywood, where I have this license
string: "Apache-2.0 AND CC0-1.0"

The package builds fine for Factory:
https://build.opensuse.org/package/show/openSUSE:Factory/hollywood

But not for Leap 42.3:
https://build.opensuse.org/package/live_build_log/openSUSE:Leap:42.3/hollywood/standard/x86_64
rpmlint says:
[   33s] hollywood.noarch: E: invalid-license (Badness: 100000)
Apache-2.0 AND CC0-1.0
[   33s] hollywood.src: E: invalid-license (Badness: 100000) Apache-2.0
AND CC0-1.0
[   33s] The specified license string is not recognized. Please refer to
[   33s] https://spdx.org/licenses/ for the list of known licenses and
their exact
[   33s] spelling.

Does rpmlint on Leap 42.3 probably not understand the logical "AND"? The
both licenses are valid according to spdx.

Thanks for your help,
Sebastian

--
python programming - mail server - photo - video - https://sebix.at
cryptographic key at https://sebix.at/DC9B463B.asc and on public keyservers



signature.asc (871 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: invalid license only in leap 42.3

Stephan Kulow-3
Am 25.03.2017 um 08:53 schrieb Sebastian:
> Dear list,
>
> Does rpmlint on Leap 42.3 probably not understand the logical "AND"? The
> both licenses are valid according to spdx.
>
That's exactly what happens - Leap wants you to write 'and', but is
wrong. The invalid-license should actually not have that high badness
if rpmlint isn't uptodate with TW.

Greetings, Stephan

--
Ma muaß weiterkämpfen, kämpfen bis zum Umfalln, a wenn die
ganze Welt an Arsch offen hat, oder grad deswegn.


signature.asc (201 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: invalid license only in leap 42.3

Ludwig Nussel
On 25.03.2017 09:21, Stephan Kulow wrote:
> Am 25.03.2017 um 08:53 schrieb Sebastian:
>> Dear list,
>>
>> Does rpmlint on Leap 42.3 probably not understand the logical "AND"? The
>> both licenses are valid according to spdx.
>>
> That's exactly what happens - Leap wants you to write 'and', but is
> wrong. The invalid-license should actually not have that high badness
> if rpmlint isn't uptodate with TW.

rpmlint in 42.3 got synced with the one in Factory recently.
Triggering a rebuild may help.

cu
Ludwig

--
  (o_   Ludwig Nussel
  //\
  V_/_  http://www.suse.com/
SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard,
Graham Norton, HRB 21284 (AG Nürnberg)
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]